#include "togglebutton.h"

CToggleButton::CToggleButton(
  int lengthDown,
  const guint8* pDataDown,
  int lengthUp,
  const guint8* pDataUp)
{
  m_pixbufDown = Gdk::Pixbuf::create_from_inline(lengthDown, pDataDown, false);
  m_pixbufUp = Gdk::Pixbuf::create_from_inline(lengthUp, pDataUp, false);
  m_image.set(m_pixbufUp);
  signal_toggled().connect(sigc::mem_fun(*this, &CToggleButton::onButtonPauseToggle));
  set_border_width(0);
  add(m_image);
}

void
CToggleButton::onButtonPauseToggle()
{
  if (get_active()) {
    m_image.set(m_pixbufDown);
  } else {
    m_image.set(m_pixbufUp);
  }
}
