#!/bin/sh
#
#
_ILA_Path=./xco/chipscope_ila_$1.xco
_ICON_Path=./xco/chipscope_icon_$1.xco
_CGP_Path=./cgp/chipscope_$1.cgp
#
_FileError=0
if test ! -e $_ILA_Path;  then _FileError=1; fi
if test ! -e $_ICON_Path; then _FileError=1; fi
if test ! -e $_CGP_Path;  then _FileError=1; fi
#
if test $_FileError -eq 1; then
  echo ""
  echo "Batch file input error"
  echo ""
  echo "Please enter a valid device type: 6vlx240t/6vlx365t/6vlx550t/6vsx315t/6vsx475t"
  echo "For example:"
  echo ""
  echo "gen_chipscope.bat 6vlx240t"
  echo ""
  exit -1
fi
#
#
echo ""
echo "Device Selected: $1"
echo ""
echo "Project File: $_CGP_Path"
echo "ILA Parameters: $_ILA_Path"
echo "ICON Parameters: $_ICON_Path"
echo ""
#
#
cd ./cgp
rm -rf tmp
rm -rf _bbx
rm -rf _xmsgs
rm -rf chipscope_icon.constraints
rm -rf chipscope_ila.constraints
#
rm -f *.asy
rm -f *.constraints
rm -f *.gise
rm -f *.vho
rm -f *ila.xco
rm -f *con.xco
rm -f *.xise
rm -f *.txt
rm -f *.tcl
rm -f *.cdc
rm -f coregen.log
rm -f *.cgc
#
rm -f *.ngc
rm -f *ila.vhd
rm -f *con.vhd
cd ..
#
echo ""
echo "Generating chipscope_ila files:"
echo ""
coregen -r -b $_ILA_Path  -p $_CGP_Path
errorlevel=$?
#
if test $errorlevel -eq 1; then
  echo ""
  echo "CORE Generator error detected"
  exit $errorlevel
fi
#
#
rm -f coregen_ila.log
mv coregen.log coregen_ila.log
#
#
cd ./cgp
rm -rf tmp
rm -rf _bbx
rm -rf _xmsgs
rm -rf chipscope_icon.constraints
rm -rf chipscope_ila.constraints
#
rm -f *.asy
rm -f *.constraints
rm -f *.gise
rm -f *.vho
rm -f *ila.xco
rm -f *icon.xco
rm -f *.xise
rm -f *.txt
rm -f *.tcl
rm -f *.cdc
rm -f coregen.log
rm -f *.cgc
cd ..
#
#
echo ""
echo "Generating chipscope_icon files:"
echo ""
coregen -r -b $_ICON_Path -p $_CGP_Path
errorlevel=$?
#
if test $errorlevel -eq 1; then
  echo ""
  echo "CORE Generator error detected"
  exit $errorlevel
fi
#
rm -f coregen_icon.log
mv coregen.log coregen_icon.log
#
#
cd ./cgp
rm -rf tmp
rm -rf _bbx
rm -rf _xmsgs
rm -rf chipscope_icon.constraints
rm -rf chipscope_ila.constraints
#
rm -f *.asy
rm -f *.constraints
rm -f *.gise
rm -f *.vho
rm -f *ila.xco
rm -f *icon.xco
rm -f *.xise
rm -f *.txt
rm -f *.tcl
rm -f *.cdc
rm -f coregen.log
rm -f *.cgc
cd ..
#
#
echo ""
echo "Generation of ChipScope cores complete."
echo ""
exit 0